Org settings, dashboards & reporting
Save Fireblocks Integration
Verifies the API key against Fireblocks, then stores key and default network with audit entries.
POSThttps://api.toku.com/stablecoin-payroll/save-fireblocks-integration
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/save-fireblocks-integration' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"fireblocksApiKey": "string",
"fireblocksNetworkID": "string"
}'200 response
{
"organizationFireblocksIntegrationID": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
orgIDstring<uuid>requiredfireblocksApiKeystringAllowed: at least 1 characters
fireblocksNetworkIDstring | nullAllowed: at least 1 characters
Response
200Successful response
organizationFireblocksIntegrationIDstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits